List SLOs
curl --request GET \
--url http://{host}:{port}/{basePath}/slos \
--header 'Authorization: <api-key>'import requests
url = "http://{host}:{port}/{basePath}/slos"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('http://{host}:{port}/{basePath}/slos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"apiVersion": "v1",
"kind": "SLOList",
"metadata": {
"totalCount": 8,
"page": 1,
"pageSize": 20
},
"items": [
{
"name": "slo-payment-availability",
"namespace": "production",
"service": "payment-service",
"type": "availability",
"target": 99.95,
"current": 99.87,
"status": "warning",
"budgetRemaining": "32%",
"window": "30d",
"lastUpdated": "2026-03-19T15:00:00Z"
},
{
"name": "slo-api-latency-p99",
"namespace": "production",
"service": "api-gateway",
"type": "latency",
"target": 200,
"targetUnit": "ms",
"current": 145,
"status": "healthy",
"budgetRemaining": "78%",
"window": "30d",
"lastUpdated": "2026-03-19T15:00:00Z"
},
{
"name": "slo-checkout-error-rate",
"namespace": "production",
"service": "checkout-service",
"type": "error_rate",
"target": 0.1,
"current": 0.35,
"status": "breached",
"budgetRemaining": "0%",
"window": "30d",
"lastUpdated": "2026-03-19T15:00:00Z"
}
]
}
SLOs
List SLOs
Returns the list of configured SLOs (Service Level Objectives)
GET
/
slos
List SLOs
string
Filter by Kubernetes namespace
string
Filter by service name
string
Filter by status:
healthy, warning, breachedinteger
default:"1"
Page number
integer
default:"20"
Items per page (maximum 100)
{
"apiVersion": "v1",
"kind": "SLOList",
"metadata": {
"totalCount": 8,
"page": 1,
"pageSize": 20
},
"items": [
{
"name": "slo-payment-availability",
"namespace": "production",
"service": "payment-service",
"type": "availability",
"target": 99.95,
"current": 99.87,
"status": "warning",
"budgetRemaining": "32%",
"window": "30d",
"lastUpdated": "2026-03-19T15:00:00Z"
},
{
"name": "slo-api-latency-p99",
"namespace": "production",
"service": "api-gateway",
"type": "latency",
"target": 200,
"targetUnit": "ms",
"current": 145,
"status": "healthy",
"budgetRemaining": "78%",
"window": "30d",
"lastUpdated": "2026-03-19T15:00:00Z"
},
{
"name": "slo-checkout-error-rate",
"namespace": "production",
"service": "checkout-service",
"type": "error_rate",
"target": 0.1,
"current": 0.35,
"status": "breached",
"budgetRemaining": "0%",
"window": "30d",
"lastUpdated": "2026-03-19T15:00:00Z"
}
]
}
Authorizations
Bearer token issued by the operator. Format: Authorization: Bearer <token>.
Query Parameters
Filter by Kubernetes namespace.
Filter by service name.
Filter by SLO status.
Available options:
healthy, warning, breached Page number.
Items per page (max 100).
Required range:
x <= 100⌘I